# $Revision: 1.6 $, $Date: 2008/07/27 22:29:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	ParamParser
Summary:	Class::ParamParser - complex parameter list parsing
Summary(pl.UTF-8):	Class::ParamParser - analizowanie złożonych list parametrów
Name:		perl-Class-ParamParser
Version:	1.041
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	06ea167ae52c80629249244f93fbccbd
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl 5 object class implements two methods which inherited
classes can use to tidy up parameter lists for their own methods and
functions. The two methods differ in that one returns a HASH ref
containing named parameters and the other returns an ARRAY ref
containing positional parameters.

%description -l pl.UTF-8
Ta klasa obiektu Perla 5 implementuje dwie metody, z których
odziedziczone klasy mogą korzystać do oczyszczenia list parametrów dla
ich własnych metod i funkcji. Metody różnią się tym, że jedna zwraca
referencję do hasza zawierającego parametry nazwane, a druga zwraca
referencję do tablicy zawierającej parametry pozycyjne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog ReadMe
%{perl_vendorlib}/Class/ParamParser.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-ParamParser.spec,v $
Revision 1.6  2008/07/27 22:29:32  arekm
- release 2

Revision 1.5  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.3  2004/11/03 22:30:10  paladine
- formatting

Revision 1.2  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.1  2004/01/08 14:37:06  qboosh
- new

